classification
Title: PEP 3121, 384 Refactoring applied to spwd module
Type: resource usage Stage: resolved
Components: Extension Modules Versions: Python 3.4
process
Status: closed Resolution: duplicate
Dependencies: Superseder: Py_Finalize() doesn't clear all Python objects at exit
View: 1635741
Assigned To: Nosy List: Robin.Schreiber, vstinner
Priority: normal Keywords: pep3121

Created on 2012-08-20 09:52 by Robin.Schreiber, last changed 2020-11-19 14:06 by vstinner. This issue is now closed.

Files
File name Uploaded Description Edit
spwd_pep3121-384_v0.patch Robin.Schreiber, 2012-08-20 09:52
Messages (2)
msg168641 - (view) Author: Robin Schreiber (Robin.Schreiber) * (Python triager) Date: 2012-08-20 09:52
Changes proposed in PEP3121 and PEP384 have now been applied to the spwd module!
msg381420 - (view) Author: STINNER Victor (vstinner) * (Python committer) Date: 2020-11-19 14:06
New changeset bf9d70a1a5255080b7a5e55f319dfffd5f20fdcd by Christian Heimes in branch 'master':
bpo-1635741: Port spwd to multiphase initialization (GH-23390)
https://github.com/python/cpython/commit/bf9d70a1a5255080b7a5e55f319dfffd5f20fdcd

See bpo-41111 "Convert a few stdlib extensions to the limited C API (PEP 384)".
History
Date User Action Args
2020-11-19 14:06:10vstinnersetstatus: open -> closed

superseder: Py_Finalize() doesn't clear all Python objects at exit

nosy: + vstinner
messages: + msg381420
resolution: duplicate
stage: resolved
2012-11-08 13:26:27Robin.Schreibersetkeywords: + pep3121, - patch
2012-08-27 03:49:13belopolskylinkissue15787 dependencies
2012-08-20 09:52:18Robin.Schreibercreate